<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>

<html>
    <head>
        <title>Embedded Derby in Tomcat</title>
    </head>
    <body>
        <h1>Embedded Derby in Tomcat Example</h1>

        <h2>Products available in Embedded Derby Instance:</h2>
        <table border="1">
            <tr>
                <th>Product Name</th><th>Manufacturer</th><th>Retail Cost</th><th>Number In Stock</th>
            </tr>
            <c:forEach var="product" items="${products}">
                <tr>
                    <td><c:out value="${product.name}" /></td>
                    <td><c:out value="${product.manufacturer}" /></td>
                    <td><c:out value="${product.retailCost}" /></td>
                    <td><c:out value="${product.numberInStock}" /></td>
                </tr>
            </c:forEach>
        </table>
    </body>
</html>
